
%define		qtver	4.4.3

Summary:	kdiff3 - Graphical tool for merging two or three files or directories
Summary(pl.UTF-8):	kdiff3 - Graficzne narzędzie do łączenia zawartości wielu plików lub katalogów
Name:		kdiff3
Version:	0.9.98
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/kdiff3/%{name}-%{version}.tar.gz
# Source0-md5:	b52f99f2cf2ea75ed5719315cbf77446
URL:		http://kdiff3.sourceforge.net/
BuildRequires:	Qt3Support-devel >= %{qtver}
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	QtTest-devel >= %{qtver}
BuildRequires:	automoc4
BuildRequires:	cmake
BuildRequires:	gettext-devel
BuildRequires:	kde4-kdebase-devel
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake
BuildRequires:	rpmbuild(macros) >= 1.129
Requires:	diffutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDiff3 is program able to compares two or three text input files,
shows the differences line by line and character by character (!),
provides an automatic merge-facility and an integrated editor for
comfortable solving of merge-conflicts and has an intuitive graphical
user interface,and it can also compare and merge directories!

%description -l pl.UTF-8
KDiff3 jest programem zdolnym do porównywania zawartości dwóch lub
trzech plików, wskazywania różnic linia po linii i znak po znaku; daje
możliwość automatycznego łączenia zawartości plików oraz zintegrowany
edytor do wygodnego rozwiązywania konfliktów powstałych podczas
łączenia zawartości. Posiada intuicyjny graficzny interfejs
użytkownika i może porównywać i łączyć zawartość katalogów.

%prep
%setup -q

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DSYSCONF_INSTALL_DIR=%{_sysconfdir} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir}

# remove locolor icons
%{__rm} -r $RPM_BUILD_ROOT%{_iconsdir}/locolor

%find_lang %{name} --with-kde --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_libdir}/kde4/*.so
%{_datadir}/apps/kdiff3
%{_datadir}/apps/kdiff3part
%{_datadir}/kde4/services/%{name}*.desktop
%{_desktopdir}/kde4/*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%changelog
* Sat Oct 18 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kdiff3.git;a=log;h=master

* Sat Oct 18 2014 Jan Palus <atler@pld-linux.org> cb09c5b
- up to 0.9.98
- patch no longer needed

* Wed May 15 2013 Jan Palus <jan.palus@gmail.com> 3bb1765
- up to 0.9.97
- add upstream patch to fix loading relative file paths

* Tue Jun 26 2012 Tomasz Pala <gotar@pld-linux.org> d1e616c
- damn, stop enumerating irrevelant support files

* Tue Jun 26 2012 Tomasz Pala <gotar@pld-linux.org> 5c48612
- s/dl.sourceforge/downloads.sourceforge/ for distfiles to work, mine did

* Mon Jun 25 2012 Tomasz Pala <gotar@pld-linux.org> bb35713
- upgraded to 0.9.96

* Fri Jan 07 2011 arvenil <arvenil@pld-linux.org> 6214d5d
- install kdiff3_part.rc into correct location (from fedora)

* Fri Jan 07 2011 arvenil <arvenil@pld-linux.org> e2f4695
- docbook fixes (from fedora)

* Fri Jan 07 2011 arvenil <arvenil@pld-linux.org> 6f77e8a
- install kdiff3_part.rc into correct location
- docbook fixes
- release 2

* Wed Dec 02 2009 sparky <sparky@pld-linux.org> db21c8b
- BR: automoc4, gettext-devel, qt4-build, qt4-qmake

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> bdd6d1c
- drop obsolete files

* Wed Apr 08 2009 Andrzej Zawadzki <zawadaa@gmail.com> 1dd50ef
- up to 0.9.95

* Sun Mar 01 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 580c554
- release 2

* Sun Mar 01 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 915d67c
- BR qtsvg

* Sun Mar 01 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 5df6216
- rel 1

* Sun Mar 01 2009 shadzik <shadzik@pld-linux.org> d100be6
- fix %files and remove locolor icons

* Sun Mar 01 2009 shadzik <shadzik@pld-linux.org> ea85e53
- qt4 BRs

* Sat Feb 28 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 5686781
- up to 0.9.94 (kde4); broken

* Fri Sep 21 2007 wolf <wolf@pld-linux.org> 035517a
- 0.9.92

* Thu Jun 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> bcd7f87
- rel 4

* Wed Mar 21 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 7a20634
- rel 3

